Bug 1700036 - [RFE] Add RedFish API for host power management for RHEV
Summary: [RFE] Add RedFish API for host power management for RHEV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ovirt-4.4.0
: 4.4.0
Assignee: Dana
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-15 16:10 UTC by Andrew Robinson
Modified: 2020-08-04 13:19 UTC (History)
6 users (show)

Fixed In Version: rhv-4.4.0-28
Doc Type: Enhancement
Doc Text:
This enhancement adds support for DMTF Redfish to RHV. To use this functionality, you use the Administration Portal to edit a Host's properties. On the Host's *Power Management* tab, you click *+* to add a new power management device. In the *Edit fence agent* window, you set *Type* to *redfish* and fill-in additional details like login information and IP/FQDN of the agent.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:17:36 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:18 UTC
oVirt gerrit 99654 0 'None' MERGED engine: Add redfish fence agent params 2020-12-21 12:58:52 UTC

Description Andrew Robinson 2019-04-15 16:10:52 UTC
Description of problem:


Customer Commvault is using RHHI to package a backup solution as an appliance. The opened a support case asking this: "Does RHEV supports the RedFish API for Host Power management and if not is there any plans to add it? Currently the BMC we're using only supports ipmi over lan or redfish and there are some security concerns with using IPMI."


I asked in #sbr-virt, and the answer I got was "I think fence-agent for RedFish API was included in RHEL as per https://bugzilla.redhat.com/show_bug.cgi?id=1666848 . I can't see it in RHV. Probably need an RFE."


Consequently, I'm filing this RFE. Can the RedFish API for power management be added to RHEV?



Version-Release number of selected component (if applicable):

Customer lists RHHI 1.1


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info: 

I apologize for the sloppy information in this bug report. I don't know the virtualization products well enough. If I should refile this with the proper information, please let me know what that information should be and I'll be happy to refile.

Comment 1 Ryan Barry 2019-04-16 00:08:56 UTC
Don't worry, Andrew, we'll ask you for anything else we need

Comment 2 Sandro Bonazzola 2019-04-16 09:11:57 UTC
On RHV-H side, the fence-agents-redfish is already included. If something is missing, it's probably the handling of this agent on engine side.

Comment 6 RHV bug bot 2019-12-13 13:14:58 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 7 RHV bug bot 2019-12-20 17:44:43 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 8 RHV bug bot 2020-01-08 14:47:14 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 9 RHV bug bot 2020-01-08 15:16:01 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 10 RHV bug bot 2020-01-24 19:48:57 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 12 Petr Matyáš 2020-04-24 10:36:24 UTC
Verified on ovirt-engine-4.4.0-0.33.master.el8ev.noarch

Comment 20 errata-xmlrpc 2020-08-04 13:17:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.